# List Health Funds

Endpoint: GET /health_fund
Version: v1
Security: x-api-key, a-api-key

## Query parameters:

  - `page` (integer)

  - `page_size` (integer)

  - `sort_by` (array)
    Comma separated search fields. See [Sorting](/#sorting)

## Response 200 fields (application/json):

  - `health_funds` (array)

  - `health_funds.row_num` (integer)

  - `health_funds.total_rows` (integer)

  - `health_funds.links` (object)

  - `health_funds.links.self` (string)
    Example: https://api.pracsuite.com/v1/health_fund/1

  - `health_funds.links.practitioner_provider_numbers` (string)
    Example: https://api.pracsuite.com/v1/health_fund/1/practitioner_provider_number

  - `health_funds.tenant_id` (integer)
    Example: 1

  - `health_funds.health_fund_id` (integer)

  - `health_funds.description` (string)

  - `total_entries` (integer)

  - `links` (object)

  - `links.self` (string)
    Example: https://api.pracsuite.com/v1/health_fund?page=2

  - `links.previous` (string)
    Example: https://api.pracsuite.com/v1/health_fund?page=1

  - `links.next` (string)
    Example: https://api.pracsuite.com/v1/health_fund?page=3

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 400

  - `error.code` (string)
    Example: INVALID_PARAMS

  - `error.detail` (string)
    Human readable explanation of the error
    Example: One or more request parameters are invalid.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 403

  - `error.code` (string)
    Example: UNAUTHORIZED

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Access could not be verified for this request.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 403 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 403

  - `error.code` (string)
    Example: MISSING_AUTHENTICATION_TOKEN

  - `error.detail` (string)
    Human readable explanation of the error
    Example: Authentication token is missing or the requested endpoint does not exist

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

## Response 500 fields (application/json):

  - `error` (object, required)

  - `error.status` (integer)
    Example: 500

  - `error.code` (string)
    Example: SERVER_ERROR

  - `error.detail` (string)
    Human readable explanation of the error
    Example: An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000.

  - `request_id` (string, required)
    Example: 00000000-0000-0000-0000-000000000000

